# Class yii\web\MethodNotAllowedHttpException

Inheritance | yii\web\MethodNotAllowedHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/MethodNotAllowedHttpException.php

MethodNotAllowedHttpException represents a "Method Not Allowed" HTTP exception with status code 405.

See also https://tools.ietf.org/html/rfc7231#section-6.5.5.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\MethodNotAllowedHttpException
getName() |  | yii\web\HttpException

## Method Details

Hide inherited methods

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, $previous = null )
$message | string|null | Error message
$code | integer | Error code
$previous | Throwable|null | The previous exception used for the exception chaining.

Source code

                    public function __construct($message = null, $code = 0, $previous = null)
    {
        parent::__construct(405, $message, $code, $previous);
    }

getName() public method

Defined in: yii\web\HttpException::getName()

public string getName ( )
return | string | The user-friendly name of this exception

Source code

                    public function getName()
    {
        if (isset(Response::$httpStatuses[$this->statusCode])) {
            return Response::$httpStatuses[$this->statusCode];
        }
        return 'Error';
    }